System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.RuleSettings), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

objects are used to define event rules.

A collection of objects. This class cannot be inherited.

- Constructor

  The property of the class always contains an instance of the . Use this instance, rather than creating a new instance of the class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain a object with the same name.

  Adds a object to the collection.

  A object to add to the collection. 2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the appropriate section of the current configuration file are removed.

  Removes all objects from the collection.

  2.0.0.0
- Method
  System.Boolean ``

  Returns false if the specified name does not exist.

  Returns true if the collection contains a object with the specified name.

  true if the collection contains a object with the specified name; otherwise, false.

  The name of a object in the collection. 2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added.

  Creates a new .

  2.0.0.0
- Method
  System.Object `` To be added. To be added.

  Gets the key of the passed object.

  A object in the collection. 2.0.0.0
- Method
  System.Int32 ``

  Returns -1 if a object with the specified name is not in the collection.

  Finds the index of a object in the collection with the specified name.

  The index of a object in the collection with the specified name.

  The name of a object in the collection. 2.0.0.0
- Method
  System.Void `` ``

  If the index parameter equals the number of items in the collection, then the entry is appended to the end of the collection.

  Adds the specified object to the specified index point in the collection.

  A valid index of a object in the collection. The object to insert into the collection. 2.0.0.0
- Property
  System.Web.Configuration.RuleSettings `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.RuleSettings `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection.

  The name of a object in the collection. 2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object at the specified index location from the collection.

  A valid index of a object in the collection. 2.0.0.0